import { URI } from "../../../../base/common/uri.js";
type ChatSessionIdentifier = {
    readonly chatSessionType: string;
    readonly sessionId: string;
};
export declare namespace LocalChatSessionUri {
    const scheme = "vscode-chat-session";
    function forSession(sessionId: string): URI;
    function parseLocalSessionId(resource: URI): string | undefined;
    /**
     * @deprecated Does not support non-local sessions
     */
    function forChatSessionTypeAndId(chatSessionType: string, sessionId: string): URI;
    /**
     * @deprecated Legacy parser that supports non-local sessions.
     */
    function parse(resource: URI): ChatSessionIdentifier | undefined;
}
/**
 * Converts a chat session resource URI to a string ID.
 *
 * This exists mainly for backwards compatibility with existing code that uses string IDs in telemetry and storage.
 */
export declare function chatSessionResourceToId(resource: URI): string;
export {};
